Bug 525453 (yum-rhn-plugin) - Review Request: yum-rhn-plugin - RHN support for yum
Summary: Review Request: yum-rhn-plugin - RHN support for yum
Keywords:
Status: CLOSED NEXTRELEASE
Alias: yum-rhn-plugin
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Janssen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-Spacewalk
TreeView+ depends on / blocked
 
Reported: 2009-09-24 13:27 UTC by Miroslav Suchý
Modified: 2009-10-01 07:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-01 07:30:34 UTC
thomasj: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Miroslav Suchý 2009-09-24 13:27:44 UTC
SPEC: 
http://miroslav.suchy.cz/fedora/yum-rhn-plugin/yum-rhn-plugin.spec
SRPM:
http://miroslav.suchy.cz/fedora/yum-rhn-plugin/yum-rhn-plugin-0.7.2-1.src.rpm

Description:
This yum plugin provides support for yum to access a Red Hat Network server for
software updates.

rpmlint is silent

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1703680

Comment 1 Thomas Janssen 2009-09-26 17:44:16 UTC
Hi,

Source Url is missing.  If no upstream URL can be specified for this package, please see the http://fedoraproject.org/wiki/Packaging/SourceURL  for how to deal with this.

rpmlint must be run on every package. The output should be posted in the review.
Not sure if "rpmlint is silent" counts here :)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Dennis Gilmore 2009-09-27 15:40:45 UTC
Obsoletes: up2date < 5.0.0
Provides: up2date = %{version}
this  is wrong  sinve version is less that what is obsoleted

the Provides should be 5.0.0

%files section should be much cleaner

%clean should just be 
rm -rf $RPM_BUILD_ROOT

Comment 3 Miroslav Suchý 2009-09-29 06:43:05 UTC
Updated.
SPEC: 
http://miroslav.suchy.cz/fedora/yum-rhn-plugin/yum-rhn-plugin.spec
SRPM:
http://miroslav.suchy.cz/fedora/yum-rhn-plugin/yum-rhn-plugin-0.7.3-1.src.rpm

I addressed comment #1 and #2, but "%files section should be much cleaner". Not should what you exactly mean Dennis. Seem sane to me.

rpmlint is silent:
[msuchy@dri/~/rhn/spacewalk.pub/client/rhel/yum-rhn-plugin]$ rpmlint /tmp/spacewalk-build/rpmbuild-yum-rhn-plugin-0.7.3-1/yum-rhn-plugin-0.7.3-1.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[msuchy@dri/~/rhn/spacewalk.pub/client/rhel/yum-rhn-plugin]$ rpmlint /tmp/spacewalk-build/rpmbuild-yum-rhn-plugin-0.7.3-1/noarch/yum-rhn-plugin-0.7.3-1.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 4 Thomas Janssen 2009-09-29 08:30:23 UTC
"%files section should be much cleaner" like:

%{_mandir}/man*/*
%{_datadir}/yum-plugins/*
%{_datadir}/rhn/*/*

I'm not sure if there's a new version out. If not, you're supposed to bump the release, not the version. Well if you're the developer, i guess it's up to you then.
I can only guess since there's no README, AUTHORS, COPYING in the source tarball.

Would be nice if you do a koji --scratch run and post the Task-info link in here.
koji build --scratch dist-f12 path/to/srpm

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Thomas Janssen 2009-09-29 08:33:39 UTC
Erm.. Sorry, the scratch build is already there. /me seems to need glasses.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Miroslav Suchý 2009-09-29 08:51:39 UTC
Updated.
SPEC: 
http://miroslav.suchy.cz/fedora/yum-rhn-plugin/yum-rhn-plugin.spec
SRPM:
http://miroslav.suchy.cz/fedora/yum-rhn-plugin/yum-rhn-plugin-0.7.4-1.src.rpm

I bumped version (and not release), because I'm one of the Spacewalk developers and I made the change in upstream and released new version of this package.

Comment 7 Thomas Janssen 2009-09-29 09:43:54 UTC
Heh, took me a while to find the reason for the version bump. You make it because you include the spec file in the tarball. Interesting.
The spec is anyways in the SRPM but i think you have your reason to keep a copy in the tarball.

So, if it's fine to have a package without a license copy, then i cant find anything further.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Miroslav Suchý 2009-09-30 07:30:03 UTC
Yeah, it is "feature" of our release system. But otherwise it is really easy to work with. 

Inclusion of license copy is "only" SHOULD item. But if you give me big plus in flag I'll give you LICENSE file :)

SPEC: 
http://miroslav.suchy.cz/fedora/yum-rhn-plugin/yum-rhn-plugin.spec
SRPM:
http://miroslav.suchy.cz/fedora/yum-rhn-plugin/yum-rhn-plugin-0.7.5-1.src.rpm

Comment 9 Thomas Janssen 2009-09-30 10:24:45 UTC
Approved

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 10 Miroslav Suchý 2009-09-30 11:45:43 UTC
New Package CVS Request
=======================
Package Name: yum-rhn-plugin
Short Description: RHN support for yum
Owners: msuchy
Branches: F-11, F-12
InitialCC:

Comment 11 Kevin Fenzi 2009-09-30 23:08:23 UTC
cvs done.

Comment 12 Thomas Janssen 2009-10-01 05:48:26 UTC
Found one last thing. You have a single comment in your source code "Distributed under GPL" (in packages.py). Could you change that to what you reference in the spec file "GPLv2".
Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 13 Miroslav Suchý 2009-10-01 07:30:34 UTC
Good catch. Changed.


Note You need to log in before you can comment on or make changes to this bug.